﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Http;
using System.Net.Http.Headers;
using System.IO;

namespace UploadCoreDragSample.Controllers
{
    public partial class UploadController : Controller
    {
        //
        // GET: /UploadDefault/
        public ActionResult UploadFeatures()
        {
            return View();
        }
        private IHostingEnvironment hostingEnv;

        public UploadController(IHostingEnvironment env)
        {
            this.hostingEnv = env;
        }
        public IActionResult UploadFiles()
        {
            return View();
        }
        [HttpPost]
        public IActionResult UploadFiles(IList<IFormFile> UploadDefault)
        {
            long size = 0;
            foreach (var file in UploadDefault)
            {
                var filename = ContentDispositionHeaderValue
                                .Parse(file.ContentDisposition)
                                .FileName
                                .Trim('"');
                if(filename.IndexOf('\\') != -1) filename = filename.Substring(filename.LastIndexOf('\\') + 1);
                filename = hostingEnv.WebRootPath + $@"\{filename}";
                size += file.Length;
                using (FileStream fs = System.IO.File.Create(filename))
                {
                    file.CopyTo(fs);
                    fs.Flush();
                }
            }
            return View("UploadFeatures");
        }
    }
}
